Skip to main content
GET
/
2025-09
/
contacts
List all Contacts
curl --request GET \
  --url https://public-api.stora.co/2025-09/contacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.stora.co/2025-09/contacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.stora.co/2025-09/contacts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "contacts": [
    {
      "id": "con_0ac0514ed0711463",
      "address": null,
      "company_registration_number": null,
      "created_at": "2025-02-21T14:41:00Z",
      "email": "jane@doe.com",
      "full_name": "Jane Doe",
      "identity_check": {
        "required": false,
        "status": "not_attempted"
      },
      "marketing_source": null,
      "metadata": {},
      "phone_number": null,
      "source": null,
      "status": "lead",
      "stripe_customer_id": null,
      "tax_id": null,
      "tenancies_count": 0,
      "type": null,
      "updated_at": "2025-02-22T14:41:00Z",
      "use_case": null
    },
    {
      "id": "con_0ac0514ed0711462",
      "address": null,
      "company_registration_number": null,
      "created_at": "2025-02-20T14:41:00Z",
      "email": "john@doe.com",
      "full_name": "John Doe",
      "identity_check": {
        "required": false,
        "status": "not_attempted"
      },
      "marketing_source": null,
      "metadata": {},
      "phone_number": null,
      "source": null,
      "status": "lead",
      "stripe_customer_id": "cus_SqaLe6rJhviOGm",
      "tax_id": null,
      "tenancies_count": 0,
      "type": null,
      "updated_at": "2025-02-22T14:41:00Z",
      "use_case": null
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at,
full_name
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
email
string<email>[]

Find by email. Supports multiple values separated by a comma.

Search contacts by name, email, or phone (fuzzy match). BETA

type
enum<string>[]

Filter by type. Supports multiple values separated by a comma. unspecified will filter by null value.

Available options:
domestic,
company,
student,
charity,
local_authority,
unspecified
source
enum<string>[]

Filter by source. Supports multiple values separated by a comma. unspecified will filter by null value.

Available options:
pre_open,
incomplete_booking,
registered_interest,
price_interest,
quotation_request,
booking,
popup,
external_enquiry,
phone,
walkin,
import,
other,
unspecified
marketing_source
enum<string>[]

Filter by marketing source. Supports multiple values separated by a comma. unspecified will filter by null value.

Available options:
used_before,
recommendation,
received_leaflet,
seen_building_signs,
seen_advert,
facebook_marketplace,
google_search,
other_online_search,
social_media,
email,
radio,
other,
unspecified
use_case
enum<string>[]

Filter by use case. Supports multiple values separated by a comma. unspecified will filter by null value.

Available options:
business_needs,
moving_home,
more_space,
refurb,
travelling,
other,
unspecified
status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
lead,
customer,
churned
created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_after
string<date-time>

Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

updated_before
string<date-time>

Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

metadata
object

Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.

Example:
{}

Response

200 - application/json

list of contacts

List of Contacts

contacts
object[]
meta
object